<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseItemStaticData StructType
 * @subpackage Structs
 */
class JP_CruiseItemStaticData extends AbstractStructBase
{
    /**
     * The CruiseItineraryList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseItinerary
     */
    public $CruiseItineraryList;
    /**
     * The CruiseShipList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Ship
     */
    public $CruiseShipList;
    /**
     * The CruiseDataList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseData
     */
    public $CruiseDataList;
    /**
     * Constructor method for JP_CruiseItemStaticData
     * @uses JP_CruiseItemStaticData::setCruiseItineraryList()
     * @uses JP_CruiseItemStaticData::setCruiseShipList()
     * @uses JP_CruiseItemStaticData::setCruiseDataList()
     * @param \ArrayType\ArrayOfJP_CruiseItinerary $cruiseItineraryList
     * @param \ArrayType\ArrayOfJP_Ship $cruiseShipList
     * @param \ArrayType\ArrayOfJP_CruiseData $cruiseDataList
     */
    public function __construct(\ArrayType\ArrayOfJP_CruiseItinerary $cruiseItineraryList = null, \ArrayType\ArrayOfJP_Ship $cruiseShipList = null, \ArrayType\ArrayOfJP_CruiseData $cruiseDataList = null)
    {
        $this
            ->setCruiseItineraryList($cruiseItineraryList)
            ->setCruiseShipList($cruiseShipList)
            ->setCruiseDataList($cruiseDataList);
    }
    /**
     * Get CruiseItineraryList value
     * @return \ArrayType\ArrayOfJP_CruiseItinerary|null
     */
    public function getCruiseItineraryList()
    {
        return $this->CruiseItineraryList;
    }
    /**
     * Set CruiseItineraryList value
     * @param \ArrayType\ArrayOfJP_CruiseItinerary $cruiseItineraryList
     * @return \StructType\JP_CruiseItemStaticData
     */
    public function setCruiseItineraryList(\ArrayType\ArrayOfJP_CruiseItinerary $cruiseItineraryList = null)
    {
        $this->CruiseItineraryList = $cruiseItineraryList;
        return $this;
    }
    /**
     * Get CruiseShipList value
     * @return \ArrayType\ArrayOfJP_Ship|null
     */
    public function getCruiseShipList()
    {
        return $this->CruiseShipList;
    }
    /**
     * Set CruiseShipList value
     * @param \ArrayType\ArrayOfJP_Ship $cruiseShipList
     * @return \StructType\JP_CruiseItemStaticData
     */
    public function setCruiseShipList(\ArrayType\ArrayOfJP_Ship $cruiseShipList = null)
    {
        $this->CruiseShipList = $cruiseShipList;
        return $this;
    }
    /**
     * Get CruiseDataList value
     * @return \ArrayType\ArrayOfJP_CruiseData|null
     */
    public function getCruiseDataList()
    {
        return $this->CruiseDataList;
    }
    /**
     * Set CruiseDataList value
     * @param \ArrayType\ArrayOfJP_CruiseData $cruiseDataList
     * @return \StructType\JP_CruiseItemStaticData
     */
    public function setCruiseDataList(\ArrayType\ArrayOfJP_CruiseData $cruiseDataList = null)
    {
        $this->CruiseDataList = $cruiseDataList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseItemStaticData
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
